Bug 13876 - make: don't know how to make crypt-md5.c. Stop (make world after an upgrade 3.2 to 3.3-stable)
Summary: make: don't know how to make crypt-md5.c. Stop (make world after an upgrade 3...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: i386 (show other bugs)
Version: 3.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1999-09-21 15:20 UTC by sh
Modified: 2010-05-06 22:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sh 1999-09-21 15:20:00 UTC
	
I want upgrade my 3.2-RELEASE to 3.3-stable.
I did 'make update' with the server: cvsup.internat.freebsd.org.
Make update worked fine, but make world after that has crashed.

I tried several non-US cvsup-Server, but there is no difference. And I know some
other people who have the same problem.

How-To-Repeat: 
	
# make buildworld
[...]
--------------------------------------------------------------
Comment 1 ru freebsd_committer 1999-10-04 17:52:01 UTC
On Tue, Sep 21, 1999 at 04:15:37PM +0200, sh@nordic.de wrote:
> 
> I want upgrade my 3.2-RELEASE to 3.3-stable.
> I did 'make update' with the server: cvsup.internat.freebsd.org.
> Make update worked fine, but make world after that has crashed.
> 
> I tried several non-US cvsup-Server, but there is no difference.
> And I know some other people who have the same problem.
> 
You have updated your sources to 4.0-CURRENT, it seems.  This could
be because you are using wrong SUPFILEs.  Are you just uncommented
SUPFILE or SUPFILE1 strings in /etc/make.conf?  The standard.supfile
and secure.supfile listed here are not suitable for -stable, and
this has been fixed in -STABLE in src/etc/make.conf,v 1.72.2.8 by
recommending "stable-supfile" and "stable-secure-supfile".
So, what SUPFILEs did you use?

Please let me know,
-- 
Ruslan Ermilov		Sysadmin and DBA of the
ru@ucb.crimea.ua	United Commercial Bank,
ru@FreeBSD.org		FreeBSD committer,
+380.652.247.647	Simferopol, Ukraine

http://www.FreeBSD.org	The Power To Serve
http://www.oracle.com	Enabling The Information Age
Comment 2 ru freebsd_committer 1999-10-04 18:49:24 UTC
State Changed
From-To: open->closed

Please use "secure-stable-supfile" instead of "secure-supfile". 

Comment 3 dfilter service freebsd_committer 2009-12-10 06:03:37 UTC
pgollucci    2009-12-10 06:03:27 UTC

  FreeBSD ports repository

  Modified files:
    devel/apr            Makefile 
    devel/apr/files      patch-apr_buildconf 
  Log:
  - Allow install by a user other then root
  
  PR:             ports/13876 [based on]
  Submitted by:   Mel Flynn <mel@rachie.is-a-geek.net>
  
  Revision  Changes    Path
  1.89      +1 -0      ports/devel/apr/Makefile
  1.2       +1 -1      ports/devel/apr/files/patch-apr_buildconf
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2009-12-12 00:43:35 UTC
pgollucci    2009-12-12 00:43:27 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile 
  Added files:
    www/apache22/files   patch-srclib__apr__buildconf 
  Log:
  - Allow install by a user other then root
  [Duplicate fix for devel/apr here in www/apache22 too]
  
  PR:             ports/13876 [based on]
  Submitted by:   Mel Flynn <mel at rachie.is-a-geek.net>
                  miwi@
  
  Revision  Changes    Path
  1.250     +1 -1      ports/www/apache22/Makefile
  1.1       +10 -0     ports/www/apache22/files/patch-srclib__apr__buildconf (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2010-05-06 22:18:34 UTC
pgollucci    2010-05-06 21:18:20 UTC

  FreeBSD ports repository

  Modified files:
    www/apache20/files   patch-libtool22 
  Log:
  - Fix build for !root users
    duplicated from www/apache22 and devel/apr
    Originally:
  
  PR:             ports/13876 [based on]
  Submitted by:   Mel Flynn <mel@rachie.is-a-geek.net>
  With Hat:       apache@
  
  Revision  Changes    Path
  1.2       +2 -1      ports/www/apache20/files/patch-libtool22
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"